> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Identity



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json delete /api/v1/organizations/{organizationId}/identity/{identityId}
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/identity/{identityId}:
    delete:
      tags:
        - Directory
      summary: Delete an Identity
      operationId: publicDeleteIdentity
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: identityId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicIdentityDto'
        '404':
          description: The identity is not found.
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  schemas:
    PublicIdentityDto:
      type: object
      properties:
        id:
          type: string
          description: ID of the employee
        organizationId:
          type: number
          description: ID of the organization
        peopleId:
          type: string
          description: ID of the people
        employeeStatus:
          example: active
          description: Extended status of the employee
          allOf:
            - $ref: '#/components/schemas/ExtendedEmployeeStatus'
        employeeType:
          example: full_time_employee
          description: Type of the employee
          allOf:
            - $ref: '#/components/schemas/EmployeeType'
        managementType:
          example: managed
          description: Management type of the employee
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ManagementType'
        displayName:
          type: string
          example: Display Name
          description: Display name of the employee
          nullable: true
        firstName:
          type: string
          example: First Name
          description: First name of the employee
          nullable: true
        lastName:
          type: string
          example: Last Name
          description: Last name of the employee
          nullable: true
        avatar:
          type: string
          description: URL of the avatar of the employee
          nullable: true
        primaryEmail:
          type: string
          example: primay@email.com
          description: Primary email of the employee
          nullable: true
        secondaryEmails:
          example:
            - secondary+1@email.com
            - secondary+2@email.com
          description: Secondary emails of the employee
          nullable: true
          type: array
          items:
            type: string
        companyName:
          type: string
          example: company name
          description: Company name of the employee
          nullable: true
        workLocation:
          type: string
          example: work location
          description: Work location of the employee
          nullable: true
        department:
          description: Department of the employee
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/DepartmentDtoElement'
        serviceCount:
          type: number
          description: Number of services the employee has
          nullable: true
        deviceCount:
          type: number
          description: Number of devices the employee has
          nullable: true
        costs:
          description: Costs of the employee
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/IdentityCost'
        createdAt:
          format: date-time
          type: string
          description: Record created at
          nullable: true
        updatedAt:
          format: date-time
          type: string
          description: Record updated at
          nullable: true
        isManager:
          type: boolean
          description: Is the employee a manager
          nullable: true
        isMock:
          type: boolean
          description: Indicates if the identity is a mock
        isEmailEditable:
          type: boolean
          description: Indicates if the email of the identity is editable
          nullable: true
        hasPresetFieldsUnlinked:
          type: boolean
          description: Indicates if the unlink preset fields is enabled
          nullable: true
        jobTitle:
          type: string
          example: CTO
          description: Job title of the employee
          nullable: true
        employeeId:
          type: string
          example: EMP12345
          description: Employee ID of the employee
          nullable: true
        lifecycle:
          description: Lifecycle of the employee
          allOf:
            - $ref: '#/components/schemas/LifecycleDtoElement'
        manager:
          description: Manager of the employee
          allOf:
            - $ref: '#/components/schemas/ManagerDto'
        note:
          type: string
          example: this is a note
          description: Notes of the employee
          nullable: true
        profileUrl:
          type: string
          example: https://workspace.url/employee/12345
          description: URL of the profile of the employee
          format: uri
          nullable: true
        customFields:
          type: object
          example:
            custom_text_field: foo
            custom_date_field: '2024-01-01'
            custom_number_field: 123
            custom_dropdown_field: Option Displayed Value A
          additionalProperties:
            nullable: true
          description: Custom fields of the employee
        customFieldsWithMetadata:
          description: Custom fields with metadata including ID, uniqueName, and label
          example:
            - id: 1
              attributeCode: custom_text_field
              attributeName: Text field
              value: foo
            - id: 2
              attributeCode: custom_date_field
              attributeName: Date field
              value: '2024-01-01'
            - id: 3
              attributeCode: custom_number_field
              attributeName: Number field
              value: 123
            - id: 4
              attributeCode: custom_dropdown_field
              attributeName: Dropdown field
              value: Option Displayed Value A
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldWithMetadataDto'
        structuresInfo:
          description: Structures that the identity is a member of, categorized by type
          allOf:
            - $ref: '#/components/schemas/IdentityStructuresInfoDto'
      required:
        - employeeStatus
        - employeeType
        - firstName
        - lastName
    ExtendedEmployeeStatus:
      type: string
      enum:
        - active
        - on_leave
        - draft
        - preactive
        - retired
        - untracked
        - archived
      description: Extended status of the employee
    EmployeeType:
      type: string
      enum:
        - board_member
        - full_time_employee
        - fixed_time_employee
        - temporary_employee
        - part_time_employee
        - secondment_employee
        - contract_employee
        - collaborator
        - group_address
        - shared_address
        - test_address
        - other
        - unknown
        - unregistered
    ManagementType:
      type: string
      enum:
        - managed
        - external
        - system
        - unknown
        - unregistered
    DepartmentDtoElement:
      type: object
      properties:
        name:
          type: string
          example: department name
          description: Department name of the employee
          nullable: true
    IdentityCost:
      type: object
      properties:
        amount:
          type: number
          example: 100
          description: Cost amount of the employee
        currency:
          example: usd
          description: Currency of the cost
          allOf:
            - $ref: '#/components/schemas/CurrencyTypeIggre'
      required:
        - amount
        - currency
    LifecycleDtoElement:
      type: object
      properties:
        contractStartAt:
          format: date
          type: string
          example: '2021-01-01'
          description: >-
            Contract start date of the employee. Date-only strings (e.g.
            "2021-01-01") are interpreted as UTC midnight. To specify a local
            midnight in a specific timezone, provide a full ISO 8601 datetime
            with offset (e.g. "2020-12-31T15:00:00.000Z" for 2021-01-01 00:00
            JST).
          nullable: true
        contractEndAt:
          format: date
          type: string
          example: '2021-01-02'
          description: >-
            Contract end date of the employee. Date-only strings (e.g.
            "2021-01-02") are interpreted as UTC midnight. To specify a local
            midnight in a specific timezone, provide a full ISO 8601 datetime
            with offset (e.g. "2021-01-01T15:00:00.000Z" for 2021-01-02 00:00
            JST).
          nullable: true
        suspensionStartAt:
          format: date
          type: string
          example: '2021-01-01'
          description: >-
            Suspension start date of the employee. Date-only strings (e.g.
            "2021-01-01") are interpreted as UTC midnight. To specify a local
            midnight in a specific timezone, provide a full ISO 8601 datetime
            with offset (e.g. "2020-12-31T15:00:00.000Z" for 2021-01-01 00:00
            JST).
          nullable: true
        suspensionEndAt:
          format: date
          type: string
          example: '2021-01-03'
          description: >-
            Suspension end date of the employee. Date-only strings (e.g.
            "2021-01-03") are interpreted as UTC midnight. To specify a local
            midnight in a specific timezone, provide a full ISO 8601 datetime
            with offset (e.g. "2021-01-02T15:00:00.000Z" for 2021-01-03 00:00
            JST).
          nullable: true
    ManagerDto:
      type: object
      properties:
        id:
          type: string
          description: Manager ID
          nullable: true
        displayName:
          type: string
          description: Manager name
          nullable: true
        people:
          description: People of the manager
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/PeopleSimpleResponseDto'
    CustomFieldWithMetadataDto:
      type: object
      properties:
        id:
          type: number
          description: The ID of the custom field template
          example: 1
        attributeCode:
          type: string
          description: The unique identifier for the custom field
          example: custom_uuid
        attributeName:
          type: string
          description: The display label for the custom field
          example: custom_text_field
        value:
          type: object
          description: >-
            The value of the custom field (string, number, or date string
            depending on the field type)
          example: foo
      required:
        - id
        - attributeCode
        - attributeName
        - value
    IdentityStructuresInfoDto:
      type: object
      properties:
        companies:
          description: Companies that the identity is a member of
          type: array
          items:
            $ref: '#/components/schemas/StructureInfo'
        departments:
          description: Departments that the identity is a member of
          type: array
          items:
            $ref: '#/components/schemas/StructureInfo'
        locations:
          description: Locations that the identity is a member of
          type: array
          items:
            $ref: '#/components/schemas/StructureInfo'
        managers:
          description: Managers of this identity
          type: array
          items:
            $ref: '#/components/schemas/StructureManagerDto'
      required:
        - companies
        - departments
        - locations
        - managers
    CurrencyTypeIggre:
      type: string
      enum:
        - jpy
        - usd
        - idr
      description: Currency of the cost
    PeopleSimpleResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        identityId:
          type: string
          nullable: true
          readOnly: true
          example: I3N5HB4B3G
        primaryEmail:
          type: string
          nullable: true
          readOnly: true
          example: foo@gmail.com
        displayName:
          type: string
          nullable: true
          readOnly: true
          example: Yamaha Honda
        avatar:
          type: string
          nullable: true
          readOnly: true
          example: avatar_url
        username:
          type: string
          nullable: true
          readOnly: true
          example: foo
        status:
          type: string
          readOnly: true
          example: suspended
        type:
          readOnly: true
          example: employee
          allOf:
            - $ref: '#/components/schemas/PeopleType'
      required:
        - id
        - identityId
        - primaryEmail
        - displayName
        - avatar
        - username
        - status
        - type
    StructureInfo:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        name:
          type: string
          readOnly: true
          example: name
      required:
        - id
        - name
    StructureManagerDto:
      type: object
      properties:
        id:
          type: string
          description: Identity ID
        displayName:
          type: string
          description: Identity display name
        primaryEmail:
          type: string
          description: Identity primary email
        avatar:
          type: string
          description: Avatar URL
      required:
        - id
        - displayName
        - primaryEmail
        - avatar
    PeopleType:
      type: string
      enum:
        - employee
        - guest
        - system
        - unknown
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````